Update a publisher territory
curl --request PUT \
--url https://api.royalti.io/publisher/publishers/{id}/territories/{territoryId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"territoryCode": "<string>",
"prShare": 50,
"mrShare": 50,
"srShare": 50,
"startDate": "2023-11-07T05:31:56Z",
"endDate": "2023-11-07T05:31:56Z"
}
'import requests
url = "https://api.royalti.io/publisher/publishers/{id}/territories/{territoryId}"
payload = {
"territoryCode": "<string>",
"prShare": 50,
"mrShare": 50,
"srShare": 50,
"startDate": "2023-11-07T05:31:56Z",
"endDate": "2023-11-07T05:31:56Z"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
territoryCode: '<string>',
prShare: 50,
mrShare: 50,
srShare: 50,
startDate: '2023-11-07T05:31:56Z',
endDate: '2023-11-07T05:31:56Z'
})
};
fetch('https://api.royalti.io/publisher/publishers/{id}/territories/{territoryId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"TenantId": 123,
"publisherId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"territoryCode": "US",
"inclusionExclusion": "I",
"prShare": 50,
"mrShare": 50,
"srShare": 50,
"startDate": "2023-11-07T05:31:56Z",
"endDate": "2023-11-07T05:31:56Z",
"rights": [
{
"share": 123
}
],
"formula": "<string>",
"postTermCollection": false,
"agreementId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}{
"status": "error",
"message": "<string>",
"code": "<string>",
"details": {}
}{
"status": "error",
"message": "<string>",
"code": "<string>",
"details": {}
}Publishers
Update a publisher territory
Authorization: admin role + publisher addon.
PUT
/
publisher
/
publishers
/
{id}
/
territories
/
{territoryId}
Update a publisher territory
This endpoint requires authentication. Include your Bearer token in the Authorization header.
Code Examples
const response = await fetch('https://api.royalti.io/publisher/publishers/{id}/territories/example-id', {
method: 'PUT',
headers: {
'Authorization': `Bearer ${token}`,
'Content-Type': 'application/json'
},
body: JSON.stringify({
"ref": "#/components/schemas/UpsertTerritoryRequest"
})
});
const data = await response.json();
console.log(data);
import requests
response = requests.put(
'https://api.royalti.io/publisher/publishers/{id}/territories/example-id',
headers={
'Authorization': f'Bearer {token}'
},
json={"ref":"#/components/schemas/UpsertTerritoryRequest"}
)
data = response.json()
print(data)
curl -X PUT https://api.royalti.io/publisher/publishers/{id}/territories/example-id \
-H "Authorization: Bearer YOUR_TOKEN" \
-H "Content-Type: application/json" \
-d '{"ref":"#/components/schemas/UpsertTerritoryRequest"}'
Authorizations
JWT Authorization header using the Bearer scheme. Format: "Bearer {token}"
Body
application/json
Required range:
0 <= x <= 100Required range:
0 <= x <= 100Required range:
0 <= x <= 100Available options:
I, E Response
Territory updated.
ISO territory code or 'WW' for worldwide.
Example:
"US"
Available options:
I, E Required range:
0 <= x <= 100Required range:
0 <= x <= 100Required range:
0 <= x <= 100Show child attributes
Show child attributes
CWR 2.2+ territory formula, e.g. "2136 BUT NOT 2250". At most one exclusion marker (EX/X).
Available options:
DIRECT, SUB, ADMIN Available options:
EXCLUSIVE, NON-EXCLUSIVE ⌘I